---
Language:             Cpp
BasedOnStyle:         LLVM
Standard:             Auto
IndentWidth:          4
TabWidth:             4
UseTab:               ForIndentation
NamespaceIndentation: Inner
PointerAlignment:     Left
ColumnLimit:          120
SortIncludes:         true
ReflowComments:       true
AccessModifierOffset: -4
BreakBeforeBraces:    Custom
BraceWrapping:
  AfterEnum:          true
  AfterStruct:        true
  AfterClass:         true
  SplitEmptyFunction: false
  AfterFunction:      true
  AfterNamespace:     false

# AccessModifierOffset: -2
# ConstructorInitializerIndentWidth: 4
# AlignEscapedNewlinesLeft: false
# AlignTrailingComments: true
# AllowAllParametersOfDeclarationOnNextLine: true
# AllowShortBlocksOnASingleLine: false
# AllowShortCaseLabelsOnASingleLine: false
# AllowShortIfStatementsOnASingleLine: false
# AllowShortLoopsOnASingleLine: false
# AllowShortFunctionsOnASingleLine: All
# AlwaysBreakAfterDefinitionReturnType: false
# AlwaysBreakTemplateDeclarations: false
# AlwaysBreakBeforeMultilineStrings: false
# BreakBeforeBinaryOperators: None
# BreakBeforeTernaryOperators: true
# BreakConstructorInitializersBeforeComma: false
# BinPackParameters: true
# ColumnLimit:     80
# ConstructorInitializerAllOnOneLineOrOnePerLine: false
# DerivePointerAlignment: false
# ExperimentalAutoDetectBinPacking: false
# IndentCaseLabels: false
# IndentWrappedFunctionNames: false
# IndentFunctionDeclarationAfterType: false
# MaxEmptyLinesToKeep: 1
# KeepEmptyLinesAtTheStartOfBlocks: true
# NamespaceIndentation: None
# ObjCSpaceAfterProperty: false
# ObjCSpaceBeforeProtocolList: true
# PenaltyBreakBeforeFirstCallParameter: 19
# PenaltyBreakComment: 300
# PenaltyBreakString: 1000
# PenaltyBreakFirstLessLess: 120
# PenaltyExcessCharacter: 1000000
# PenaltyReturnTypeOnItsOwnLine: 60
# PointerAlignment: Right
# SpacesBeforeTrailingComments: 1
# Cpp11BracedListStyle: true
# Standard:        Cpp11
# IndentWidth:     2
# TabWidth:        8
# UseTab:          Never
# BreakBeforeBraces: Attach
# SpacesInParentheses: false
# SpacesInSquareBrackets: false
# SpacesInAngles:  false
# SpaceInEmptyParentheses: false
# SpacesInCStyleCastParentheses: false
# SpaceAfterCStyleCast: false
# SpacesInContainerLiterals: true
# SpaceBeforeAssignmentOperators: true
# ContinuationIndentWidth: 4
# CommentPragmas:  '^ IWYU pragma:'
# ForEachMacros:   [ foreach, Q_FOREACH, BOOST_FOREACH ]
# SpaceBeforeParens: ControlStatements
# DisableFormat:   false
# ...

